Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -1931,11 +1937,11 @@
              u_comp           = u(k+1,j,i) + u(k,j,i) - gu
              flux_l_w(k,j,tn) = u_comp * (                                    &
-                            37.0 * ( w(k,j,i) + w(k,j,i-1)   )                &
-                          -  8.0 * ( w(k,j,i+1) + w(k,j,i-2) )                &
-                          +        ( w(k,j,i+2) + w(k,j,i-3) ) ) * adv_mom_5
+                            37.0_wp * ( w(k,j,i) + w(k,j,i-1)   )             &
+                          -  8.0_wp * ( w(k,j,i+1) + w(k,j,i-2) )             &
+                          +           ( w(k,j,i+2) + w(k,j,i-3) ) ) * adv_mom_5
              diss_l_w(k,j,tn) = - ABS( u_comp ) * (                           &
-                            10.0 * ( w(k,j,i) - w(k,j,i-1)   )                &
-                          -  5.0 * ( w(k,j,i+1) - w(k,j,i-2) )                &
-                          +        ( w(k,j,i+2) - w(k,j,i-3) ) ) * adv_mom_5 
+                            10.0_wp * ( w(k,j,i) - w(k,j,i-1)   )             &
+                          -  5.0_wp * ( w(k,j,i+1) - w(k,j,i-2) )             &
+                          +           ( w(k,j,i+2) - w(k,j,i-3) ) ) * adv_mom_5 
 
           ENDDO
@@ -1962,32 +1968,32 @@
 
           u_comp    = u(k+1,j,i+1) + u(k,j,i+1) - gu
-          flux_r(k) = u_comp * (                                             &
-                     ( 37.0 * ibit29 * adv_mom_5                             &
-                  +     7.0 * ibit28 * adv_mom_3                             &
-                  +           ibit27 * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( w(k,j,i+1) + w(k,j,i)   )                 &
-              -      (  8.0 * ibit29 * adv_mom_5                             &
-                  +           ibit28 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( w(k,j,i+2) + w(k,j,i-1) )                 &
-              +      (        ibit29 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( w(k,j,i+3) + w(k,j,i-2) )                 &
-                                )
-
-          diss_r(k) = - ABS( u_comp ) * (                                    &
-                     ( 10.0 * ibit29 * adv_mom_5                             &
-                  +     3.0 * ibit28 * adv_mom_3                             &
-                  +           ibit27 * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( w(k,j,i+1) - w(k,j,i)  )                  &
-              -      (  5.0 * ibit29 * adv_mom_5                             &
-                  +           ibit28 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( w(k,j,i+2) - w(k,j,i-1) )                 &
-              +      (        ibit29 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( w(k,j,i+3) - w(k,j,i-2) )                 &
+          flux_r(k) = u_comp * (                                              &
+                     ( 37.0_wp * ibit29 * adv_mom_5                           &
+                  +     7.0_wp * ibit28 * adv_mom_3                           &
+                  +              ibit27 * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( w(k,j,i+1) + w(k,j,i)   )               &
+              -      (  8.0_wp * ibit29 * adv_mom_5                           &
+                  +              ibit28 * adv_mom_3                           &
+                     ) *                                                      &
+                                    ( w(k,j,i+2) + w(k,j,i-1) )               &
+              +      (           ibit29 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( w(k,j,i+3) + w(k,j,i-2) )               &
+                               )
+
+          diss_r(k) = - ABS( u_comp ) * (                                     &
+                     ( 10.0_wp * ibit29 * adv_mom_5                           &
+                  +     3.0_wp * ibit28 * adv_mom_3                           &
+                  +              ibit27 * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( w(k,j,i+1) - w(k,j,i)   )               &
+              -      (  5.0_wp * ibit29 * adv_mom_5                           &
+                  +              ibit28 * adv_mom_3                           &
+                     ) *                                                      &
+                                    ( w(k,j,i+2) - w(k,j,i-1) )               &
+              +      (           ibit29 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( w(k,j,i+3) - w(k,j,i-2) )               &
                                         )
 
@@ -1997,32 +2003,32 @@
 
           v_comp    = v(k+1,j+1,i) + v(k,j+1,i) - gv
-          flux_n(k) = v_comp * (                                             &
-                     ( 37.0 * ibit32 * adv_mom_5                             &
-                  +     7.0 * ibit31 * adv_mom_3                             &
-                  +           ibit30 * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( w(k,j+1,i) + w(k,j,i)   )                 &
-              -      (  8.0 * ibit32 * adv_mom_5                             &
-                  +           ibit31 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( w(k,j+2,i) + w(k,j-1,i) )                 &
-              +      (        ibit32 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( w(k,j+3,i) + w(k,j-2,i) )                 &
+          flux_n(k) = v_comp * (                                              &
+                     ( 37.0_wp * ibit32 * adv_mom_5                           &
+                  +     7.0_wp * ibit31 * adv_mom_3                           &
+                  +              ibit30 * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( w(k,j+1,i) + w(k,j,i)   )               &
+              -      (  8.0_wp * ibit32 * adv_mom_5                           &
+                  +              ibit31 * adv_mom_3                           &
+                     ) *                                                      &
+                                    ( w(k,j+2,i) + w(k,j-1,i) )               &
+              +      (           ibit32 * adv_mom_5                           &
+                     ) *                                                      &
+                                    ( w(k,j+3,i) + w(k,j-2,i) )               &
                                )
 
-          diss_n(k) = - ABS( v_comp ) * (                                    &
-                     ( 10.0 * ibit32 * adv_mom_5                             &
-                  +     3.0 * ibit31 * adv_mom_3                             &
-                  +           ibit30 * adv_mom_1                             &
-                     ) *                                                     &
-                                 ( w(k,j+1,i) - w(k,j,i)  )                  &
-              -      (  5.0 * ibit32 * adv_mom_5                             &
-                  +           ibit31 * adv_mom_3                             &
-                     ) *                                                     &
-                                 ( w(k,j+2,i) - w(k,j-1,i) )                 &
-              +      (        ibit32 * adv_mom_5                             &
-                     ) *                                                     &
-                                 ( w(k,j+3,i) - w(k,j-2,i) )                 &
+          diss_n(k) = - ABS( v_comp ) * (                                     &
+                     ( 10.0_wp * ibit32 * adv_mom_5                           &
+                  +     3.0_wp * ibit31 * adv_mom_3                           &
+                  +              ibit30 * adv_mom_1                           &
+                     ) *                                                      &
+                                    ( w(k,j+1,i) - w(k,j,i)  )                &
+              -      (  5.0_wp * ibit32 * adv_mom_5                           &
+                  +              ibit31 * adv_mom_3                           &
+                     ) *                                                      &
+                                   ( w(k,j+2,i) - w(k,j-1,i) )                &
+              +      (           ibit32 * adv_mom_5                           &
+                     ) *                                                      &
+                                   ( w(k,j+3,i) - w(k,j-2,i) )                &
                                         )
 !
@@ -2038,33 +2044,33 @@
 
           w_comp    = w(k+1,j,i) + w(k,j,i)
-          flux_t(k) = w_comp  * (                                            &
-                     ( 37.0 * ibit35 * adv_mom_5                             &
-                  +     7.0 * ibit34 * adv_mom_3                             &
-                  +           ibit33 * adv_mom_1                             &
-                     ) *                                                     &
-                             ( w(k+1,j,i)  + w(k,j,i)     )                  &
-              -      (  8.0 * ibit35 * adv_mom_5                             &
-                  +           ibit34 * adv_mom_3                             &
-                     ) *                                                     &
-                             ( w(k_pp,j,i)  + w(k-1,j,i)  )                  &
-              +      (        ibit35 * adv_mom_5                             &
-                     ) *                                                     &
-                             ( w(k_ppp,j,i) + w(k_mm,j,i) )                  &
-                                 )
-
-          diss_t(k) = - ABS( w_comp ) * (                                    &
-                     ( 10.0 * ibit35 * adv_mom_5                             &
-                  +     3.0 * ibit34 * adv_mom_3                             &
-                  +           ibit33 * adv_mom_1                             &
-                     ) *                                                     &
-                             ( w(k+1,j,i)   - w(k,j,i)    )                  &
-              -      (  5.0 * ibit35 * adv_mom_5                             &
-                  +           ibit34 * adv_mom_3                             &
-                     ) *                                                     &
-                             ( w(k_pp,j,i)  - w(k-1,j,i)  )                  &
-              +      (        ibit35 * adv_mom_5                             &
-                     ) *                                                     &
-                             ( w(k_ppp,j,i) - w(k_mm,j,i) )                  &
-                                         )
+          flux_t(k) = w_comp  * (                                             &
+                     ( 37.0_wp * ibit35 * adv_mom_5                           &
+                  +     7.0_wp * ibit34 * adv_mom_3                           &
+                  +              ibit33 * adv_mom_1                           &
+                     ) *                                                      &
+                                ( w(k+1,j,i)  + w(k,j,i)     )                &
+              -      (  8.0_wp * ibit35 * adv_mom_5                           &
+                  +              ibit34 * adv_mom_3                           &
+                     ) *                                                      &
+                                ( w(k_pp,j,i)  + w(k-1,j,i)  )                &
+              +      (           ibit35 * adv_mom_5                           &
+                     ) *                                                      &
+                                ( w(k_ppp,j,i) + w(k_mm,j,i) )                &
+                                )
+
+          diss_t(k) = - ABS( w_comp ) * (                                     &
+                     ( 10.0_wp * ibit35 * adv_mom_5                           &
+                  +     3.0_wp * ibit34 * adv_mom_3                           &
+                  +              ibit33 * adv_mom_1                           &
+                     ) *                                                      &
+                                ( w(k+1,j,i)   - w(k,j,i)    )                &
+              -      (  5.0_wp * ibit35 * adv_mom_5                           &
+                  +              ibit34 * adv_mom_3                           &
+                     ) *                                                      &
+                                ( w(k_pp,j,i)  - w(k-1,j,i)  )                &
+              +      (           ibit35 * adv_mom_5                           &
+                     ) *                                                      &
+                                ( w(k_ppp,j,i) - w(k_mm,j,i) )                &
+                                        )
 
 !
@@ -2075,5 +2081,5 @@
               +   ( v_comp + gv - ( v(k+1,j,i) + v(k,j,i)   ) ) * ddy         &
               +   ( w_comp      - ( w(k,j,i)   + w(k-1,j,i) ) ) * ddzu(k+1)   &
-                ) * 0.5
+                ) * 0.5_wp
 
           tend(k,j,i) = tend(k,j,i) - (                                       &
@@ -2094,6 +2100,6 @@
 !
 !--        Statistical Evaluation of w'w'.
-          sums_ws2_ws_l(k,tn)  = sums_ws2_ws_l(k,tn)                         &
-                             + ( flux_t(k) + diss_t(k) )                     &
+          sums_ws2_ws_l(k,tn)  = sums_ws2_ws_l(k,tn)                          &
+                             + ( flux_t(k) + diss_t(k) )                      &
                              *   weight_substep(intermediate_timestep_count)
 
@@ -2103,24 +2109,24 @@
 
           u_comp    = u(k+1,j,i+1) + u(k,j,i+1) - gu
-          flux_r(k) = u_comp * (                                            &
-                      37.0 * ( w(k,j,i+1) + w(k,j,i)   )                    &
-                    -  8.0 * ( w(k,j,i+2) + w(k,j,i-1) )                    &
-                    +        ( w(k,j,i+3) + w(k,j,i-2) ) ) * adv_mom_5
-
-          diss_r(k) = - ABS( u_comp ) * (                                   &
-                      10.0 * ( w(k,j,i+1) - w(k,j,i)   )                    &
-                    -  5.0 * ( w(k,j,i+2) - w(k,j,i-1) )                    &
-                    +        ( w(k,j,i+3) - w(k,j,i-2) ) ) * adv_mom_5
+          flux_r(k) = u_comp * (                                              &
+                      37.0_wp * ( w(k,j,i+1) + w(k,j,i)   )                   &
+                    -  8.0_wp * ( w(k,j,i+2) + w(k,j,i-1) )                   &
+                    +           ( w(k,j,i+3) + w(k,j,i-2) ) ) * adv_mom_5
+
+          diss_r(k) = - ABS( u_comp ) * (                                     &
+                      10.0_wp * ( w(k,j,i+1) - w(k,j,i)   )                   &
+                    -  5.0_wp * ( w(k,j,i+2) - w(k,j,i-1) )                   &
+                    +           ( w(k,j,i+3) - w(k,j,i-2) ) ) * adv_mom_5
 
           v_comp    = v(k+1,j+1,i) + v(k,j+1,i) - gv
-          flux_n(k) = v_comp * (                                            &
-                      37.0 * ( w(k,j+1,i) + w(k,j,i)   )                    &
-                    -  8.0 * ( w(k,j+2,i) + w(k,j-1,i) )                    &
-                    +        ( w(k,j+3,i) + w(k,j-2,i) ) ) * adv_mom_5
-
-          diss_n(k) = - ABS( v_comp ) * (                                   &
-                      10.0 * ( w(k,j+1,i) - w(k,j,i)   )                    &
-                    -  5.0 * ( w(k,j+2,i) - w(k,j-1,i) )                    &
-                    +        ( w(k,j+3,i) - w(k,j-2,i) ) ) * adv_mom_5
+          flux_n(k) = v_comp * (                                              &
+                      37.0_wp * ( w(k,j+1,i) + w(k,j,i)   )                   &
+                    -  8.0_wp * ( w(k,j+2,i) + w(k,j-1,i) )                   &
+                    +           ( w(k,j+3,i) + w(k,j-2,i) ) ) * adv_mom_5
+
+          diss_n(k) = - ABS( v_comp ) * (                                     &
+                      10.0_wp * ( w(k,j+1,i) - w(k,j,i)   )                   &
+                    -  5.0_wp * ( w(k,j+2,i) - w(k,j-1,i) )                   &
+                    +           ( w(k,j+3,i) - w(k,j-2,i) ) ) * adv_mom_5
 !
 !--       k index has to be modified near bottom and top, else array
@@ -2135,33 +2141,33 @@
 
           w_comp    = w(k+1,j,i) + w(k,j,i)
-          flux_t(k) = w_comp  * (                                            &
-                     ( 37.0 * ibit35 * adv_mom_5                             &
-                  +     7.0 * ibit34 * adv_mom_3                             &
-                  +           ibit33 * adv_mom_1                             &
-                     ) *                                                     &
-                             ( w(k+1,j,i)  + w(k,j,i)     )                  &
-              -      (  8.0 * ibit35 * adv_mom_5                             &
-                  +           ibit34 * adv_mom_3                             &
-                     ) *                                                     &
-                             ( w(k_pp,j,i)  + w(k-1,j,i)  )                  &
-              +      (        ibit35 * adv_mom_5                             &
-                     ) *                                                     &
-                             ( w(k_ppp,j,i) + w(k_mm,j,i) )                  &
-                                 )
-
-          diss_t(k) = - ABS( w_comp ) * (                                    &
-                     ( 10.0 * ibit35 * adv_mom_5                             &
-                  +     3.0 * ibit34 * adv_mom_3                             &
-                  +           ibit33 * adv_mom_1                             &
-                     ) *                                                     &
-                             ( w(k+1,j,i)   - w(k,j,i)    )                  &
-              -      (  5.0 * ibit35 * adv_mom_5                             &
-                  +           ibit34 * adv_mom_3                             &
-                     ) *                                                     &
-                             ( w(k_pp,j,i)  - w(k-1,j,i)  )                  &
-              +      (        ibit35 * adv_mom_5                             &
-                     ) *                                                     &
-                             ( w(k_ppp,j,i) - w(k_mm,j,i) )                  &
-                                         )
+          flux_t(k) = w_comp  * (                                             &
+                     ( 37.0_wp * ibit35 * adv_mom_5                           &
+                  +     7.0_wp * ibit34 * adv_mom_3                           &
+                  +              ibit33 * adv_mom_1                           &
+                     ) *                                                      &
+                                ( w(k+1,j,i)  + w(k,j,i)     )                &
+              -      (  8.0_wp * ibit35 * adv_mom_5                           &
+                  +              ibit34 * adv_mom_3                           &
+                     ) *                                                      &
+                                ( w(k_pp,j,i)  + w(k-1,j,i)  )                &
+              +      (           ibit35 * adv_mom_5                           &
+                     ) *                                                      &
+                                ( w(k_ppp,j,i) + w(k_mm,j,i) )                &
+                                )
+
+          diss_t(k) = - ABS( w_comp ) * (                                     &
+                     ( 10.0_wp * ibit35 * adv_mom_5                           &
+                  +     3.0_wp * ibit34 * adv_mom_3                           &
+                  +              ibit33 * adv_mom_1                           &
+                     ) *                                                      &
+                                ( w(k+1,j,i)   - w(k,j,i)    )                &
+              -      (  5.0_wp * ibit35 * adv_mom_5                           &
+                  +              ibit34 * adv_mom_3                           &
+                     ) *                                                      &
+                                ( w(k_pp,j,i)  - w(k-1,j,i)  )                &
+              +      (           ibit35 * adv_mom_5                           &
+                     ) *                                                      &
+                                ( w(k_ppp,j,i) - w(k_mm,j,i) )                &
+                                        )
 !
 !--       Calculate the divergence of the velocity field. A respective
@@ -2171,5 +2177,5 @@
               +   ( v_comp + gv - ( v(k+1,j,i) + v(k,j,i)   ) ) * ddy         &
               +   ( w_comp      - ( w(k,j,i)   + w(k-1,j,i) ) ) * ddzu(k+1)   &
-                ) * 0.5
+                ) * 0.5_wp
 
           tend(k,j,i) = tend(k,j,i) - (                                       &
@@ -2190,6 +2196,6 @@
 !
 !--        Statistical Evaluation of w'w'.
-          sums_ws2_ws_l(k,tn)  = sums_ws2_ws_l(k,tn)                         &
-                             + ( flux_t(k) + diss_t(k) )                     &
+          sums_ws2_ws_l(k,tn)  = sums_ws2_ws_l(k,tn)                          &
+                             + ( flux_t(k) + diss_t(k) )                      &
                              *   weight_substep(intermediate_timestep_count)
 
@@ -2205,23 +2211,23 @@
     SUBROUTINE advec_s_ws( sk, sk_char )
 
-       USE arrays_3d,                                                          &
+       USE arrays_3d,                                                         &
            ONLY:  ddzw, tend, u, v, w
 
-       USE constants,                                                          &
+       USE constants,                                                         &
            ONLY:  adv_sca_1, adv_sca_3, adv_sca_5
 
-       USE control_parameters,                                                 &
+       USE control_parameters,                                                &
            ONLY:  intermediate_timestep_count, u_gtrans, v_gtrans 
 
-       USE grid_variables,                                                     &
+       USE grid_variables,                                                    &
            ONLY:  ddx, ddy
 
-       USE indices,                                                            &
+       USE indices,                                                           &
            ONLY:  nxl, nxr, nyn, nys, nzb, nzb_max, nzt, wall_flags_0
            
        USE kinds
        
-       USE statistics,                                                         &
-           ONLY:  sums_wspts_ws_l, sums_wsqs_ws_l, sums_wssas_ws_l,            &
+       USE statistics,                                                        &
+           ONLY:  sums_wspts_ws_l, sums_wsqs_ws_l, sums_wssas_ws_l,           &
                   weight_substep
 
@@ -2286,31 +2292,31 @@
              u_comp                 = u(k,j,i) - u_gtrans
              swap_flux_x_local(k,j) = u_comp * (                              &
-                                                  ( 37.0 * ibit2 * adv_sca_5  &
-                                               +     7.0 * ibit1 * adv_sca_3  &
-                                               +           ibit0 * adv_sca_1  &
-                                                  ) *                         &
-                                            ( sk(k,j,i)   + sk(k,j,i-1)    )  &
-                                           -      (  8.0 * ibit2 * adv_sca_5  &
-                                               +           ibit1 * adv_sca_3  &
-                                                  ) *                         &
-                                            ( sk(k,j,i+1) + sk(k,j,i-2)    )  &
-                                           +      (        ibit2 * adv_sca_5  &
-                                                  ) *                         &
-                                            ( sk(k,j,i+2) + sk(k,j,i-3)    )  &
+                                             ( 37.0_wp * ibit2 * adv_sca_5    &
+                                          +     7.0_wp * ibit1 * adv_sca_3    &
+                                          +              ibit0 * adv_sca_1    &
+                                             ) *                              &
+                                          ( sk(k,j,i)   + sk(k,j,i-1)    )    &
+                                      -      (  8.0_wp * ibit2 * adv_sca_5    &
+                                          +              ibit1 * adv_sca_3    &
+                                             ) *                              &
+                                          ( sk(k,j,i+1) + sk(k,j,i-2)    )    &
+                                      +      (           ibit2 * adv_sca_5    & 
+                                             ) *                              &
+                                          ( sk(k,j,i+2) + sk(k,j,i-3)    )    &
                                                )
 
               swap_diss_x_local(k,j) = -ABS( u_comp ) * (                     &
-                                                  ( 10.0 * ibit2 * adv_sca_5  &
-                                               +     3.0 * ibit1 * adv_sca_3  &
-                                               +           ibit0 * adv_sca_1  &
-                                                  ) *                         &
-                                            ( sk(k,j,i)   - sk(k,j,i-1)    )  &
-                                           -      (  5.0 * ibit2 * adv_sca_5  &
-                                               +           ibit1 * adv_sca_3  &
-                                                  ) *                         &
-                                            ( sk(k,j,i+1) - sk(k,j,i-2)  )    &
-                                           +      (        ibit2 * adv_sca_5  &
-                                                  ) *                         &
-                                            ( sk(k,j,i+2) - sk(k,j,i-3) )     &
+                                             ( 10.0_wp * ibit2 * adv_sca_5    &
+                                          +     3.0_wp * ibit1 * adv_sca_3    &
+                                          +              ibit0 * adv_sca_1    &
+                                             ) *                              &
+                                          ( sk(k,j,i)   - sk(k,j,i-1) )       &
+                                      -      (  5.0_wp * ibit2 * adv_sca_5    &
+                                          +              ibit1 * adv_sca_3    &
+                                             ) *                              &
+                                         ( sk(k,j,i+1) - sk(k,j,i-2)  )       &
+                                      +      (           ibit2 * adv_sca_5    &
+                                             ) *                              &
+                                          ( sk(k,j,i+2) - sk(k,j,i-3) )       &
                                                         )
 
@@ -2320,14 +2326,14 @@
 
              u_comp                 = u(k,j,i) - u_gtrans
-             swap_flux_x_local(k,j) = u_comp * (                             &
-                                      37.0 * ( sk(k,j,i)   + sk(k,j,i-1) )   &
-                                    -  8.0 * ( sk(k,j,i+1) + sk(k,j,i-2) )   &
-                                    +        ( sk(k,j,i+2) + sk(k,j,i-3) )   &
+             swap_flux_x_local(k,j) = u_comp * (                              &
+                                      37.0_wp * ( sk(k,j,i)   + sk(k,j,i-1) ) &
+                                    -  8.0_wp * ( sk(k,j,i+1) + sk(k,j,i-2) ) &
+                                    +           ( sk(k,j,i+2) + sk(k,j,i-3) ) &
                                                ) * adv_sca_5
 
-             swap_diss_x_local(k,j) = -ABS( u_comp ) * (                     &
-                                      10.0 * ( sk(k,j,i)   - sk(k,j,i-1) )   &
-                                    -  5.0 * ( sk(k,j,i+1) - sk(k,j,i-2) )   &
-                                    +        ( sk(k,j,i+2) - sk(k,j,i-3) )   &
+             swap_diss_x_local(k,j) = -ABS( u_comp ) * (                      &
+                                      10.0_wp * ( sk(k,j,i)   - sk(k,j,i-1) ) &
+                                    -  5.0_wp * ( sk(k,j,i+1) - sk(k,j,i-2) ) &
+                                    +           ( sk(k,j,i+2) - sk(k,j,i-3) ) &
                                                        ) * adv_sca_5
 
